import { registerExtension } from 'vscode/extensions';

var manifest = {name:"github-authentication",displayName:"GitHub Authentication",description:"GitHub Authentication Provider",publisher:"vscode",license:"MIT",version:"0.0.2",engines:{vscode:"^1.41.0"},icon:"images/icon.png",categories:["Other"],api:"none",extensionKind:["ui","workspace"],activationEvents:[],capabilities:{virtualWorkspaces:true,untrustedWorkspaces:{supported:"limited",restrictedConfigurations:["github-enterprise.uri"]}},contributes:{authentication:[{label:"GitHub",id:"github"},{label:"GitHub Enterprise Server",id:"github-enterprise"}],configuration:{title:"GitHub Enterprise Server Authentication Provider",properties:{"github-enterprise.uri":{type:"string",description:"GitHub Enterprise Server URI"}}}},aiKey:"0c6ae279ed8443289764825290e4f9e2-1a736e7c-1324-4338-be46-fc2a58ae4d14-7255",main:undefined,browser:"./dist/browser/extension.js",scripts:{compile:"gulp compile-extension:github-authentication","compile-web":"npx webpack-cli --config extension-browser.webpack.config --mode none",watch:"gulp watch-extension:github-authentication","watch-web":"npx webpack-cli --config extension-browser.webpack.config --mode none --watch --info-verbosity verbose","vscode:prepublish":"npm run compile"},dependencies:{"node-fetch":"2.6.7","@vscode/extension-telemetry":"^0.8.4","vscode-tas-client":"^0.1.47"},devDependencies:{"@types/node":"18.x","@types/node-fetch":"^2.5.7"},repository:{type:"git",url:"https://github.com/microsoft/vscode.git"}};

const { registerFileUrl, whenReady } = registerExtension(manifest);
registerFileUrl('./dist/browser/extension.js', new URL('./extension.js', import.meta.url).toString(), 'text/javascript');
registerFileUrl('dist/browser/extension.js.map', new URL('./extension.js.map', import.meta.url).toString(), 'application/json');

export { whenReady };
